# Class FormControlHasEnablePermissionDirective

#### Hierarchy (View Summary)

- HasEnablePermission
  - FormControlHasEnablePermissionDirective

- Defined in form-control-has-enable-permission.directive.ts:21

#####
Index

### Constructors

constructor

### Properties

cdr
identifier

### Methods

ngOnDestroy
ngOnInit
setDisabled

##
Constructors

### constructor

- new FormControlHasEnablePermissionDirective(
  authorization: AuthorizationService,
  cdr: ChangeDetectorRef,
  scope: string,
  valueAccessor?: null | ControlValueAccessor[],
  ngControl: NgControl,
  ): FormControlHasEnablePermissionDirective

  #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - scope: string
  - valueAccessor: null | ControlValueAccessor[] = null
  - ngControl: NgControl

  #### Returns FormControlHasEnablePermissionDirective

  Overrides HasEnablePermission.constructor

  - Defined in form-control-has-enable-permission.directive.ts:27

##
Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

Inherited from HasEnablePermission.cdr

- Defined in has-enable-permission.ts:28

### identifier

identifier: string

Overrides HasEnablePermission.identifier

- Defined in form-control-has-enable-permission.directive.ts:25

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Inherited from HasEnablePermission.ngOnDestroy

  - Defined in has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Inherited from HasEnablePermission.ngOnInit

  - Defined in has-enable-permission.ts:39

### setDisabled

- setDisabled(disabled: boolean): void

  #### Parameters

  - disabled: boolean

  #### Returns void

  Overrides HasEnablePermission.setDisabled

  - Defined in form-control-has-enable-permission.directive.ts:44